org.apache.avro.ipc

## Enum HandshakeMatch

- java.lang.Object
- - java.lang.Enum<HandshakeMatch>
  - - org.apache.avro.ipc.HandshakeMatch

All Implemented Interfaces:
  Serializable, Comparable<HandshakeMatch>, org.apache.avro.generic.GenericContainer, org.apache.avro.generic.GenericEnumSymbol<HandshakeMatch>

    public enum HandshakeMatch
    extends Enum<HandshakeMatch>
    implements org.apache.avro.generic.GenericEnumSymbol<HandshakeMatch>

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`BOTH`
`CLIENT`
`NONE`

### Field Summary

Fields
`static org.apache.avro.Schema` `SCHEMA$`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`static org.apache.avro.Schema` `getClassSchema()`
`org.apache.avro.Schema` `getSchema()`
`static HandshakeMatch` `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static HandshakeMatch[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface org.apache.avro.generic.GenericEnumSymbol

`toString`

### Methods inherited from interface java.lang.Comparable

`compareTo`

### Enum Constant Detail

#### BOTH

    public static final HandshakeMatch BOTH

#### CLIENT

    public static final HandshakeMatch CLIENT

#### NONE

    public static final HandshakeMatch NONE

### Field Detail

#### SCHEMA$

    public static final org.apache.avro.Schema SCHEMA$

### Method Detail

#### values

    public static HandshakeMatch[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (HandshakeMatch c : HandshakeMatch.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static HandshakeMatch valueOf(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null

#### getClassSchema

    public static org.apache.avro.Schema getClassSchema()

#### getSchema

    public org.apache.avro.Schema getSchema()

Specified by:
  `getSchema` in interface `org.apache.avro.generic.GenericContainer`